summaryrefslogtreecommitdiffstats
path: root/perl/perl-net-dbus
diff options
context:
space:
mode:
author Binh Nguyen2011-07-17 19:22:14 +0200
committer Robby Workman2011-07-18 06:39:35 +0200
commita15940ffc2b126a32532144eb99e9fd9ea498ddd (patch)
tree3658c5d4b77c8f4d06af3de147679276f5aad820 /perl/perl-net-dbus
parent3d9ef854c3b0e2e5e0d1b8bafe9dea8c96e6a3e1 (diff)
downloadslackbuilds-a15940ffc2b126a32532144eb99e9fd9ea498ddd.tar.gz
perl/perl-net-dbus: Miscellaneous cleanup to build script
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-net-dbus')
-rw-r--r--perl/perl-net-dbus/perl-net-dbus.SlackBuild44
-rw-r--r--perl/perl-net-dbus/perl-net-dbus.info2
-rw-r--r--perl/perl-net-dbus/slack-desc2
3 files changed, 27 insertions, 21 deletions
diff --git a/perl/perl-net-dbus/perl-net-dbus.SlackBuild b/perl/perl-net-dbus/perl-net-dbus.SlackBuild
index 0c4370e15e..c728fa1cec 100644
--- a/perl/perl-net-dbus/perl-net-dbus.SlackBuild
+++ b/perl/perl-net-dbus/perl-net-dbus.SlackBuild
@@ -1,19 +1,26 @@
#!/bin/sh
-# Slackware build script for <appname>
-
-# Written by (your name) (your contact information)
-
-# (add license information here if you desire; otherwise,
-# all submissions are considered to be in the public domain)
-# Some licenses may incorporate the "Written by" information
-# above, and if so, that line can be omitted
-# We strongly suggest *not* using GPL for scripts, as it requires
-# a copy of the GPL to be distributed with it. Since the GPL
-# itself is longer than any build script will be, this just doesn't
-# make good sense...
-
-Net-DBus-0.33.6.tar.gz
+# Slackware build script for perl-net-dbus
+
+# Copyright 2011 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-net-dbus
VERSION=${VERSION:-0.33.6}
@@ -49,7 +56,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,6 +72,7 @@ find . \
-exec chmod 644 {} \;
perl Makefile.PL \
+ OPTIMIZE="$SLKCFLAGS" \
PREFIX=/usr \
INSTALLDIRS=vendor \
INSTALLVENDORMAN3DIR=/usr/man/man3
@@ -76,15 +84,13 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# Remove perllocal.pod, other special files, and empty directories
find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS CHANGES LICENSE README \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGES LICENSE README examples/ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/perl/perl-net-dbus/perl-net-dbus.info b/perl/perl-net-dbus/perl-net-dbus.info
index 9d1f9124a3..479709ce99 100644
--- a/perl/perl-net-dbus/perl-net-dbus.info
+++ b/perl/perl-net-dbus/perl-net-dbus.info
@@ -1,6 +1,6 @@
PRGNAM="perl-net-dbus"
VERSION="0.33.6"
-HOMEPAGE="http://search.cpan.org/~danberr/Net-DBus/"
+HOMEPAGE="http://search.cpan.org/dist/Net-DBus/"
DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DA/DANBERR/Net-DBus-0.33.6.tar.gz"
MD5SUM="a1dbce89b1b839fd0e46d74067ae2e35"
DOWNLOAD_x86_64=""
diff --git a/perl/perl-net-dbus/slack-desc b/perl/perl-net-dbus/slack-desc
index 4c74b2bbcb..c67cd09f9c 100644
--- a/perl/perl-net-dbus/slack-desc
+++ b/perl/perl-net-dbus/slack-desc
@@ -12,7 +12,7 @@ perl-net-dbus: Net::DBus provides a Perl XS API to the dbus inter-application
perl-net-dbus: messaging system. The Perl API covers the core base level of the
perl-net-dbus: dbus APIs, not concerning itself yet with the GLib or QT wrappers.
perl-net-dbus:
-perl-net-dbus: Homepage: http://www.freedesktop.org/software/dbus/
+perl-net-dbus: Homepage: http://search.cpan.org/dist/Net-DBus/
perl-net-dbus:
perl-net-dbus:
perl-net-dbus: